Debbugs::Text(3pm)

NAME
Debbugs::Text -- General routines for text templates

SYNOPSIS
 use Debbugs::Text qw(:templates);
 print fill_in_template(template => 'cgi/foo');

DESCRIPTION
This module is a replacement for parts of common.pl; subroutines in common.pl will be gradually phased out and replaced with equivalent (or better) functionality here.

BUGS
None known.

  fill_in_template
     print fill_in_template(template => 'template_name',
                            variables => \%variables,
                            language  => '..'
                           );

Reads a template from disk (if it hasn't already been read in) and fills the template in.